%define module_name comedi
%define module_version 0.7.73
%define module_release alt0.1

#### MODULE SOURCES ####
Name: kernel-source-%module_name
Version: %module_version
Release: %module_release

Summary: Sources for COMEDI (Data Acquisition driver for several DAQ boards)

License: GPL
Group: Development/Kernel
URL: http://www.comedi.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

BuildArch: noarch

BuildPreReq: kernel-build-tools

Source: http://www.comedi.org/download/%module_name-%module_version.tar.bz2

Patch: aixx5a.patch
Patch1: unioxx5.patch
Patch2: adv_pci1712.patch


%description
Comedi is a data acquisition driver for Linux. 
This package contains its sources for Linux kernel.

#### MODULE DOCUMENTATION ####
%package -n kernel-doc-%module_name
Version: %module_version
Summary: Linux %module_name modules documentation
Group: Development/Kernel

%description -n kernel-doc-%module_name
%module_name modules documentation for Linux kernel
pwd

%prep
%setup -q -n %module_name-%version
%patch -p0
%patch1 -p0
%patch2 -p2
#%patch3 -p0
%__autoreconf -i -f



%install
%__mkdir_p %buildroot%_defaultdocdir
%__mv Documentation/comedi %buildroot%_defaultdocdir/%module_name-doc-%module_version
#%__mv README TODO %buildroot%_defaultdocdir/%module_name-doc-%module_version
%__mkdir_p %buildroot%kernel_src/kernel-source-%module_name-%module_version
%__mv * %buildroot%kernel_src/kernel-source-%module_name-%module_version
#%__mv include %buildroot%kernel_src/kernel-source-%module_name-%module_version/include
cd %buildroot%kernel_src
%__tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
    %buildroot%kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%files
%kernel_src/kernel-source-%module_name-%module_version.tar.bz2

#%%files -n kernel-doc-%module_name
#%doc %_defaultdocdir/%module_name-doc-%module_version

%changelog
* Mon May 14 2007 Lunar Child <luch@altlinux.ru> 0.7.73-alt0.1
- add new drivers + patches.

* Mon Sep 05 2005 Vitaly Lipatov <lav@altlinux.ru> 0.7.70-alt0.1
- build with new kernel policy

* Wed Apr 02 2003 Vitaly Lipatov <lav@altlinux.ru> 2.4.20_alt7_0.7.66-alt4
- build with new kernel

* Sun Jan 12 2003 Vitaly Lipatov <lav@altlinux.ru> 2.4.20_alt0.8_0.7.66-alt3
- build with new kernel
- add kernel version to package's version
- now doc/comedi* dir owned by the package

* Sun Dec 01 2002 Vitaly Lipatov <lav@altlinux.ru> 0.7.66-alt2
- add depends to kernel (for modversions.h :()
- change modversions from current kernel to needed kernel

* Mon Nov 25 2002 Vitaly Lipatov <lav@altlinux.ru> 0.7.66-alt1
- new version
- use optflags in CFLAGS
- set correct path to kernel headers

* Mon Nov 11 2002 Vitaly Lipatov <lav@altlinux.ru> 0.7.65-alt0.3
- removed patch for source, all hacks done in spec now

* Sat Nov 09 2002 Vitaly Lipatov <lav@altlinux.ru> 0.7.65-alt0.2
- rewrite spec 
- hack all makes in driver source for kernel source independing

* Wed Nov 06 2002 Vitaly Lipatov <lav@altlinux.ru> 0.7.65-alt0.1
- first build for ALT Linux system

* Wed Feb 20 2002 Tim Ousley <tim.ousley@ni.com>
- initial build of comedi RPM

